/// <reference types="react" />
import { ItemHeight, RenderItemArgs, SearchItemRequirements, SearchProps } from './Search';
type FilteredSearch<T> = {
    searchResults: T[];
    itemHeight: ItemHeight;
    smallDisplay: boolean;
    getAddToRecentsFunc: (item: T) => RenderItemArgs<T>['addToRecents'];
    onItemSelect: SearchProps<T>['onItemSelect'];
    renderResult?: SearchProps<T>['renderResult'];
    closeDialog: () => void;
};
/**
 * Returns a list of search results with a basic header.
 */
export declare const FilteredSearch: <T extends SearchItemRequirements>(props: FilteredSearch<T>) => JSX.Element;
export {};
