import { SearchItemRequirements } from './Search';
/**
 * Returns the label of an item, whether it's a string or an object with a label property.
 */
export declare const getItemLabel: <T extends SearchItemRequirements>(item: T) => string;
/**
 * Returns true if the labels of two items are equal.
 */
export declare const listItemLabelsAreEqual: <T extends SearchItemRequirements>(a: T, b: T) => boolean;
/**
 * Returns the list of recents from local storage.
 * @returns The list of recents from local storage, or an empty array if there are no recents.
 */
export declare const getRecents: <T extends SearchItemRequirements>() => T[];
/**
 * Adds a selected item to local storage.
 * @param recent The search item to add.
 * @returns The updated list of recents search items.
 */
export declare const addRecent: <T extends SearchItemRequirements>(recent: T) => T[];
/**
 * Sets the list of recent selections in local storage.
 */
export declare const setRecents: <T extends SearchItemRequirements>(recents: T[]) => void;
/**
 * Clears the list of recent selections from local storage.
 */
export declare const clearRecents: () => void;
